ata_busy_sleep
Prev | Chapter 4. libata Library | Next

## Name

ata_busy_sleep — sleep until BSY clears, or timeout

## Synopsis

`int ata_busy_sleep (` | struct ata_port * | ap,
| unsigned long | tmout_pat,
| unsigned long | tmout`)`;

## Arguments

`ap`

  port containing status register to be polled

`tmout_pat`

  impatience timeout

`tmout`

  overall timeout

## Description

Sleep until ATA Status register bit BSY clears, or a timeout occurs.

## LOCKING

Kernel thread context (may sleep).

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
ata_do_set_mode | Home | ata_wait_after_reset